import { AdminCouponService } from "./coupon.service";
import { CreateCouponDto, UpdateCouponDto } from "./coupon.dto";
export declare class AdminCouponController {
    private readonly adminCouponService;
    constructor(adminCouponService: AdminCouponService);
    create(CreateCouponDto: CreateCouponDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/coupon/coupon.entity").Coupon[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/coupon/coupon.entity").Coupon;
    }>;
    update(id: string, UpdateCouponDto: UpdateCouponDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
